with GNATCOM.Dispinterface;

package MSHTML.IHTMLRect_Object is

   type IHTMLRect_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_left
     (This : IHTMLRect_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_left
     (This : IHTMLRect_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_top
     (This : IHTMLRect_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_top
     (This : IHTMLRect_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_right
     (This : IHTMLRect_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_right
     (This : IHTMLRect_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_bottom
     (This : IHTMLRect_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_bottom
     (This : IHTMLRect_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLRect_Object;

